<script language="javascript">
	jQuery(function($) {
		return $(document).ready(function() {
			var pkey   = "<%=h @product_key %>";
			var dest   = "https://www.rapid7.com/register/<%= product_key_path %>";
			var first  = "<%=h current_user.fullname.to_s.split(/\s+/).first %>";
			var last   = "<%=h current_user.fullname.to_s.split(/\s+/).last %>";
			var email  = "<%=h current_user.email %>";
			var corp   = "<%=h current_user.company %>";
			var prod   = "<%=h @license.current_product_type %>";

			var path = document.location.protocol + "//" + document.location.host;
			if (document.location.host.indexOf(":") == -1) {
				path = path + ":" + document.location.port;
			}
			path = path + "/setup/activation";

			url = dest + "?" +
				"product_key="  + pkey   +
				"&FirstName="   + escape(first)  +
				"&LastName="    + escape(last)   +
				"&EmailAddress=" + escape(email) +
				"&Organization=" + escape(corp)  +
				"&<%= product_param_name %>="      + escape(prod)  +
				"&return_path=" + escape(path);

			$('#store_link').attr('href', url);
		});
	});
</script>

<a href="https://www.rapid7.com/register/metasploit.jsp" id="store_link"><%= product_key_link_text %></a>
